require 'gw2_ruby'

module GW2
  module API
    class Color

      def self.all
        return call_api
      end

      def self.where params={}
        params[:ids] ||= 'all'
        return call_api params
      end

      class << self
        private
        def call_api params={}
          params[:lang] ||= 'en'

          resource = '/v2/colors'

          unless params[:lang].nil?
            resource = "#{resource}?lang=#{params[:lang]}"
          end

          unless params[:ids].nil?
            # Split the array, and concatenate them as a string of ids, separated by commas
            ids_string = ''
            params[:ids].each {|item| ids_string="#{ids_string},#{item}" }
            resource = "#{resource}&ids=#{ids_string}"
          end

          response = GW2::API::ANET_CONN_NOAUTH.get resource
          return response.body
        end
      end
    end
  end
end
