require 'faraday'
require 'json'
require 'faraday_middleware'

Dir[File.expand_path './lib/gw2/**/*.rb'].each {|f| require f}

module GW2
  module API
    #URL Root
    API_ROOT = 'https://api.guildwars2.com/'
    ANET_CONN_NOAUTH = Faraday.new GW2::API::API_ROOT do |conn|
      conn.request :json
      conn.response :json, :content_type => /\bjson$/
      conn.adapter Faraday.default_adapter
    end

    ANET_CONN_AUTH = Faraday.new GW2::API::API_ROOT do |conn|
      conn.request :oauth2, ''
      conn.request :json
      conn.response :json, :content_type => /\bjson$/
      conn.adapter Faraday.default_adapter
    end

    ENDPOINT = {
        :account                 => '/v2/account',
        :build                   => '/v2/build',
        :colors                  => '/v2/colors',
        :commerce_exchange       => '/v2/commerce/exchange',
        :commerce_exchange_coins => '/v2/commerce/exchange/coins',
        :commerce_exchange_gems  => '/v2/commerce/exchange/gems',
        :commerce_listings       => '/v2/commerce/listings',
        :commerce_prices         => '/v2/commerce/prices',
        :commerce_transactions   => '/v2/commerce/transactions',
        :continents              => '/v2/continents',
        :files                   => '/v2/files',
        :floors                  => '/v2/floors',
        :items                   => '/v2/items',
        :maps                    => '/v2/maps',
        :quaggans                => '/v2/quaggans',
        :recipes                 => '/v2/recipes',
        :recipes_search          => '/v2/recipes/search',
        :skins                   => '/v2/skins',
        :worlds                  => '/v2/worlds'
    }

  end
end


